function p.__main()
    --Printing to stdout.txt
    ga_print("Here in game_startup.lua")

    --Printing to the console window.
    ga_console_print("^xff00ffHello world from ../../Input/Scripts/game_startup.lua")

    --Initialization for all packages.
    p.package_all()

    --Initialization specific to the package.
    local package = ga_get_package_name()
    if package == "xar" then p.package_xar() end
end

function p.package_all()
    --Turning on cheat codes.
    if not ga_is_cheating_enabled() then
        ga_command("cheat PASSWORD")
    end
    --ga_command("god on")
    -- ga_command("shrinkany on")

    --Making it so pressing the K key opens the console.
    -- ga_command("bind K.downup tocommand \"set console.in true\"")

    --Exiting the program when a single key is pressed.
    -- ga_command("bind BACKSPACE.downup tocommand \"exit\"")
    ga_command("bind BACKSPACE.downup tocommand \"saveexit\"")

    --Taking a screenshot when a single key is presssed.
    ga_command("bind P.downup tocommand \"screenshot\"")

    --Saving the game when a single key is pressed.
    ga_command("bind V.downup tocommand \"save\"")

    --Shrinking when a single key is pressed (shrinkany must be enabled).
    ga_command("bind X.downup tocommand \"shrink\"")

    --Growing when a single key is pressed (shrinkany must be enabled).
    ga_command("bind Z.downup tocommand \"grow\"")

    --Toggling between 3rd person mode and 1st person mode when a single key is pressed.
    -- ga_command("bind L.downup tocommand \"toggle metagame.player.camera.3rdp.enabled\"")

    --Zooming in and out when a single key is pressed.
    ga_command("bind Q.downup tocommands \"set display.camera_params.zoom 2.0\" \"set display.camera_params.zoom 1.0\"")
end

function p.package_xar()
    --Setting the game difficulty.
    -- game_difficulty.set_difficulty_friendly_api("normal")
end
